# Interface JSVExporter

All Known Subinterfaces:
  `ExportInterface`

All Known Implementing Classes:
  `AMLExporter, CMLExporter, Exporter, JDXExporter, SVGExporter`

public interface JSVExporter

## Method Summary

Modifier and Type
Method
Description
`String`
`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`

## Method Details

### exportTheSpectrum

String exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64) throws Exception

Parameters:
  `viewer` -
  `type` -
  `out` -
  `spec` - not relevant for PDF, JPG, PNG
  `startIndex` - not relevant for PDF, JPG, PNG
  `endIndex` - not relevant for PDF, JPG, PNG
  `pd` - only for SVG/SVGI
  `asBase64` - TODO
Returns:
  message or text
Throws:
  `Exception`